<?xml version="1.0" encoding="UTF-8"?>       
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:include href="ReportLabelsVars.xslt"/>

	<!-- Declare some variable -->
	<xsl:variable name="oldLocation" select="//Location/OldText"/>       
	
	<xsl:variable name="newLocation" select="//Location/NewText"/>
	        
	<xsl:variable name="oldLabel" select="//Label/OldText"/>      
	
	<xsl:variable name="newLabel" select="//Label/NewText"/>	
	
	<xsl:variable name="BaselineList" select="//@BaselineList"/> 		
	
	<xsl:variable name="rptBaseLineData">
  		<xsl:text>**Baseline Data</xsl:text>
  	</xsl:variable>	
	
	<!-- End variable declaration-->
        
	<xsl:template match="PROJECT">	

		<html>
		<head>
			<LINK 
			    REL="StyleSheet" 
			    TYPE="text/css" 
			    HREF="Style_Main.css"/>
			<title>
			<xsl:value-of select="$rptTitle"/>
			</title>
		</head>
		<body>
		
		<table border="0" width="100%">
		  <tr>
		    <td width="100%">
		    	<font class="SectionHeading">
		    		<xsl:value-of select="$rptBaselinesLbl"/>
		    	</font>
		    </td>
		  </tr>
		  <tr>
		  </tr>
		</table>

		<!-- Start Baseline Section -->
		<table border="1" width="100%" height="99">
		  <tr>
		    <th width="10%" height="19">		    	
		    	<xsl:value-of select="$rptBaseLineData"/>
		    </th>
		    <th width="45%" height="19">
		    	<xsl:value-of select="$firstBaseline"/>
		    </th>
		    <th width="45%" height="19">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>		
		  <tr>
		    <td>
		    	<xsl:value-of select="$rptBaselineLoc"/>
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLocation"/> 
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLocation"/>
		    </td>
		  </tr>		  
		  <tr>
		    <td>
		    	<xsl:value-of select="$rptBaselineLabelLbl"/>
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="$oldLabel"/> 
		    </td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			    <xsl:value-of select="$newLabel"/>
		    </td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:value-of select="$rptTimeStampLbl"/> 
		  	</td>
		    <td width="50%" height="19">
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/OldText"/>
		    </td>
		    <td width="50%" height="19"> 
		    	<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		    	<xsl:value-of select="TimeStamp/NewText"/>
		    </td>
		  </tr>
		</table>
		<!-- End Baseline Section -->

		<!-- Start Document Section this needs only to be done if there is a doc node-->
		<xsl:if test="string-length(//Doc/GUID)>0"> 
		<table border="0" width="100%">
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
				<font class="SectionHeading">
					<xsl:value-of select="$rptDocLbl"/>
				</font>
			</td>
		  </tr>
		  <tr>
		  </tr>
		</table>
		
		<table border="1" width="100%">		  
		  <tr>
		    <th width="20%"><xsl:value-of select="$rptDocTagLbl"/></th>
		    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
		    <th width="20%">
		    	<xsl:value-of select="$firstBaseline"/> 
		    </th>
		    <th width="20%">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>
		  		  
		  <xsl:apply-templates select="Doc"/>
		  
		</table>		
		</xsl:if>
		<!-- End the document section -->
		
		<!-- Start View Section this needs only to be done if there is a view node-->
		<xsl:if test="string-length(//View/GUID)>0"> 
		<table border="0" width="100%">
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
				<font class="SectionHeading">
					<xsl:value-of select="$rptViewLbl"/>
				</font>
			</td>
		  </tr>
		  <tr>
		  </tr>
		</table>
		
		<table border="1" width="100%">		  
		  <tr>
		    <th width="20%"><xsl:value-of select="$rptViewNameLbl"/></th>
		    <th width="20%"><xsl:value-of select="$diffLbl"/></th>
		    <th width="20%">
		    	<xsl:value-of select="$firstBaseline"/> 
		    </th>
		    <th width="20%">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>
		  		  
		  <xsl:apply-templates select="View"/>
		  
		</table>		
		</xsl:if>
		<!-- End the view section -->
		
		<!-- Start the Requirements section -->
		<!--<xsl:if test="string-length(@BaselineList)!=1"> -->
		<xsl:if test="string-length($BaselineList)!=1"> 
		
		<table border="0" width="100%">
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
				<font class="SectionHeading">
					<xsl:value-of select="$rptReqsLbl"/>
				</font>
			</td>
		  </tr>
		  <tr>
		  </tr>
		  
		</table>
		
		<table border="1" width="100%">		  
		  <tr>
			<th ALIGN="LEFT"><xsl:value-of select="$rptReqTagLbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$diffLbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$rptReqTypeLbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$rptReqName1Lbl"/></th>
		    <th ALIGN="LEFT"><xsl:value-of select="$rptReqName2Lbl"/></th>
		    <th ALIGN="LEFT">
		    	<xsl:value-of select="$firstBaseline"/> 
		    </th>
		    <th ALIGN="LEFT">
		    	<xsl:value-of select="$secondBaseline"/>
		    </th>
		  </tr>		  		  	
		  
		  <xsl:apply-templates select="//Requirement"/>		  	  		  
		  
		</table>	
		</xsl:if>							
		
		<!-- End the Requirements section -->		
		
		<!-- The History section -->
		<xsl:if test="string-length(//ReqVersionInfo/VersionNumber)>0"> 
		<table border="0" width="100%">
			  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		  	<td>
		  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
		   	</td>
		  </tr>
		  <tr>
		    <td width="100%">
		  		<font class="SectionHeading">
		  			<xsl:value-of select="$rptHistoryLbl"/>
		  		</font>
		  	</td>
		  </tr>
		</table>		
			<table border="1" width="100%" height="82">		  
			  <tr>
				<th ALIGN="LEFT"><xsl:value-of select="$rptReqTagLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVNumLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVUserLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVTimeStampLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVReasonLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptVNewLbl"/></th>
			  </tr>		 
			  <xsl:apply-templates select="//Requirement/History"/>		   		  	
			</table>	
		</xsl:if> 			  		  
		<!-- End the History section -->

		<!-- The Discussion section -->
		<xsl:if test="string-length(//Discussion/Subject)>0"> 
			<table border="0" width="100%">
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			  	<td>
			  		<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
			   	</td>
			  </tr>
			  <tr>
			    <td width="100%">
			  		<font class="SectionHeading">
			  			<xsl:value-of select="$rptDiscLbl"/>
			  		</font>
			  	</td>
			  </tr>
			</table>		
			<table border="1" width="100%" height="82">		  
			  <tr>
				<th ALIGN="LEFT"><xsl:value-of select="$rptReqTagLbl"/></th>
				<!--
			    <th ALIGN="LEFT"><xsl:value-of select="$rptDiscDepthLbl"/></th>
				<th ALIGN="LEFT"><xsl:value-of select="$diffLbl"/></th>
				-->
			    <th ALIGN="LEFT"><xsl:value-of select="$rptSubjectLbl"/></th>
			    <!--
			    <th ALIGN="LEFT"><xsl:value-of select="$rptDescLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptAuthorLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptDateLbl"/></th>
			    <th ALIGN="LEFT"><xsl:value-of select="$rptReadByLbl"/></th>
			    -->
			  </tr>		 
			  <xsl:apply-templates select="//Requirement/Discussions"/>		   		  	
			</table>	
		</xsl:if> 			  		  
		<!-- End the History section -->
		  
		</body>
		</html>
					
	</xsl:template>

	<!-- Start the Doc Info -->		
	<xsl:template match="Doc">		
	
		<tr>
			<td width="20%"><xsl:value-of select="$rptDocNameLbl"/></td>
			<td width="20%">				
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          		
					<xsl:when test="string-length(DocName/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Docs we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="DocName/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Docs we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(DocName/NewText)>0"> 
						<xsl:apply-templates select="DocName/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="DocName/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>				 			     					
		</tr>	

		<xsl:if test="string-length($BaselineList)!=1"> 		
			<tr>
				<td width="20%"><xsl:value-of select="$rptDocFileNameLbl"/></td>
				<td width="20%">						
					<xsl:choose> 					
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>
						</xsl:when>
						<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when> 	
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when> 	          		
						<xsl:when test="string-length(DocFileName/NewText)>0"> 
							<xsl:value-of select="$modified"/>	       	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:value-of select="$noChange"/>
						</xsl:otherwise> 	          		 	
			      	</xsl:choose>					
			    </td>
				<td width="20%">		
					<xsl:choose> 
						<!-- for inserted Docs we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
						<xsl:when test="string-length(DocFileName/OldText)>0"> 
							<xsl:apply-templates select="DocFileName/OldText"/>         	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise> 	          		 	
			      	</xsl:choose>																										
				</td>
				<td width="20%">
					<xsl:choose> 
						<!-- for deleted Docs we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
						<xsl:when test="string-length(DocFileName/NewText)>0"> 
							<xsl:apply-templates select="DocFileName/NewText"/>         	
			          	</xsl:when>
						<xsl:when test="string-length(DocFileName/OldText)>0"> 
							<xsl:apply-templates select="DocFileName/OldText"/>         	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise> 	
				      </xsl:choose>								
				</td>																							
			</tr>	
		
			<tr>
				<td width="20%"><xsl:value-of select="$rptDocExtLbl"/></td>
				<td width="20%">					
					<xsl:choose> 					
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:value-of select="$inserted"/>
						</xsl:when>
						<xsl:when test="@ModFlag=3"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when> 	
						<xsl:when test="@ModFlag=4"> 
							<xsl:value-of select="$inserted"/>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:value-of select="$deleted"/>       	
		          		</xsl:when> 	          		
						<xsl:when test="string-length(DocExtension/NewText)>0"> 
							<xsl:value-of select="$modified"/>	       	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:value-of select="$noChange"/>
						</xsl:otherwise> 	          		 	
			      	</xsl:choose>						
			    </td>
				<td width="20%">		
					<xsl:choose> 
						<!-- for inserted Docs we will just put a blank -->
		      			<xsl:when test="@ModFlag=2"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=4"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 
						<xsl:when test="string-length(DocExtension/OldText)>0"> 
							<xsl:apply-templates select="DocExtension/OldText"/>         	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise>	          				          			
			      	</xsl:choose>																										
				</td>
				<td width="20%">
					<xsl:choose> 
						<!-- for deleted Docs we will just put a blank -->
		      			<xsl:when test="@ModFlag=3"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
						</xsl:when>
						<xsl:when test="@ModFlag=5"> 
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
		          		</xsl:when> 	
						<xsl:when test="string-length(DocExtension/NewText)>0"> 
							<xsl:apply-templates select="DocExtension/NewText"/>         	
			          	</xsl:when> 		          		
						<xsl:when test="string-length(DocExtension/OldText)>0"> 
							<xsl:apply-templates select="DocExtension/OldText"/>         	
			          	</xsl:when>		          	 		          		
		          		<xsl:otherwise> 						
							<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>	
						</xsl:otherwise>	          		
				      </xsl:choose>								
				</td>																				
			</tr>				
		</xsl:if> 

	</xsl:template>
	<!-- end the Doc Info -->		
	
	<!-- Start the View Info -->		
	<xsl:template match="View">
					
		<tr>
			<td width="20%"><xsl:value-of select="$rptDocNameLbl"/></td>
			<td width="20%">
				<xsl:choose> 					
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=3"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	
					<xsl:when test="@ModFlag=4"> 
						<xsl:value-of select="$inserted"/>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:value-of select="$deleted"/>       	
	          		</xsl:when> 	          		
					<xsl:when test="string-length(ViewName/NewText)>0"> 
						<xsl:value-of select="$modified"/>	       	
		          	</xsl:when>		          	 		          		
	          		<xsl:otherwise> 						
						<xsl:value-of select="$noChange"/>
					</xsl:otherwise> 	          		 	
		      	</xsl:choose>					
		    </td>
			<td width="20%">		
				<xsl:choose> 
					<!-- for inserted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=2"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=4"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="ViewName/OldText"/>	
					</xsl:otherwise> 	
		      	</xsl:choose>																										
			</td>
			<td width="20%">
				<xsl:choose> 
					<!-- for deleted Views we will just put a blank -->
	      			<xsl:when test="@ModFlag=3"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
					</xsl:when>
					<xsl:when test="@ModFlag=5"> 
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>       	
	          		</xsl:when> 	
					<xsl:when test="string-length(ViewName/NewText)>0"> 
						<xsl:apply-templates select="ViewName/NewText"/>         	
		          	</xsl:when> 		          		
	          		<xsl:otherwise> 						
						<xsl:apply-templates select="ViewName/OldText"/>	
					</xsl:otherwise> 	
			      </xsl:choose>								
			</td>				 			     					
		</tr>			
			
	</xsl:template>
	<!-- end the View Info -->
				
	<!-- Start the Req Info -->		
	<xsl:include href="Requirements.xsl"/>	
	
</xsl:stylesheet>
